Subject: Houston City Officials Reception - July 31st
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Jul 2000 09:54:00 -0700 (PDT)

Ken Lay will be hosting a reception for Houston City Council Members and 
other city officials on Monday, July 31st from 6-7 pm in the 50th floor lobby 
area.  This reception is an opportunity for us to update city officials about 
Enron,s businesses, and an opportunity for you to meet your local 
representatives.  

With the hard copy of this memo, I have attached bios and detailed 
information on Houston City Council Members, Houston Port Commissioners, the 
Metro Board, and the Sports Authority board. 

If you are unable to attend, please designate someone on your management team 
to represent you. Please RSVP to Maureen McVicker at x31808.